Package com.pixelmed.convert

# Class IndexedLabelMapToSegmentation.LabelInformation

java.lang.Object
com.pixelmed.convert.IndexedLabelMapToSegmentation.LabelInformation

Enclosing class:
  IndexedLabelMapToSegmentation

protected class IndexedLabelMapToSegmentation.LabelInformation extends Object

## Constructor Summary

Constructors
Constructor
Description
`LabelInformation(String codeMeaning, String side, int indexValue, String conceptUniqueIdentifier, String conceptIdentifier, String snomedCodeValue, String fmaCodeValue, String dcmCodeValue, String red, String green, String blue)`

## Method Summary

Modifier and Type
Method
Description
`CodedSequenceItem`
`getCodedSequenceItem()`
`Attribute`
`getRecommendedDisplayCIELabValue()`
`boolean`
`hasCode()`
`boolean`
`hasColor()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LabelInformation

public LabelInformation(String codeMeaning, String side, int indexValue, String conceptUniqueIdentifier, String conceptIdentifier, String snomedCodeValue, String fmaCodeValue, String dcmCodeValue, String red, String green, String blue)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hasCode

public boolean hasCode()

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`

### hasColor

public boolean hasColor()

### getRecommendedDisplayCIELabValue

public Attribute getRecommendedDisplayCIELabValue() throws DicomException

Throws:
  `DicomException`